Subject: bug#60 closed by Stefan Monnier <[email-masked]> (Re: C-x C-w fails under VC)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#60: C-x C-w fails under VC

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
60: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=60
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Apr  4 10:04:45 2008
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Subject: Re: C-x C-w fails under VC
Date: Fri, 04 Apr 2008 13:04:33 -0400

This problem with vc-mtn.el is actually due to a problem in kill-buffer,
which I've circumvented now both in with-temp-buffer and in
vc-do-command.  To make a long story short, it should be fixed now,

        Stefan

>From [email-masked] Mon Mar 17 07:04:07 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Mon, 17 Mar 2008 10:03:27 -0400
Date: Sun, 16 Mar 2008 21:56:41 +0100
From: Sebastian <[email-masked]>
To: [email-masked]
Subject: C-x C-w fails under VC
Sender: emacs-devel-bounces+monnier=[email-masked]

Something wrong with C-x C-w when under vc-mtn

Trying to write a file by useing
 C-x C-w
fails when under vc (vc-mtn actually)

starting emacs
C-x C-f ~/some/file/under/vc-mtn/iptables.sh
C-x C-w ~/some/file/under/vc-mtn/iptables-kassiopeya.sh

Message:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  file-writable-p(nil)
  basic-save-buffer-2()
  basic-save-buffer-1()
  basic-save-buffer()
  save-buffer()
  write-file("~/develop/bash/iptables-kassiopeya.sh" t)
  call-interactively(write-file nil nil)

If I do
C-x C-w ~/some/file/under/vc-mtn/iptables-kassiopeya.sh

a second time I get either:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  file-writable-p(nil)
  basic-save-buffer-2()
  basic-save-buffer-1()
  basic-save-buffer()
  save-buffer()
  write-file("~/develop/bash/iptables-kassiopeya.sh" t)
  call-interactively(write-file nil nil)

again, but the file is written.

Or, in some cases:

Wrote /home/sebastian/develop/bash/iptables-localhost.sh
vc-find-file-hook: Wrong type argument: stringp, nil

emacs is 23.0.60.2
file is under monotone (vc-mtn)

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Sebastian Rose             Fachinformatiker/Anwendendungsentwickler
Viktoriastaße 22
30451 Hannover             Entwicklung  von Internetanwendungen und
                           Programmen  mit  freien  Werkzeugen  und
                           Bibliotheken.
[email-masked]      PHP, Java, C/C++,  Bash,  Perl,  Apache,
                           MySQL,  PostgreSQL, xt::commerce, Typo3,
+49 173 / 83 93 417        Server,  Netzwerk,  Desktop,  Datenbank.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~